Security Enhanced Linux Reference Policy

# Layer: system

## Module: mount

Tunables Interfaces

### Description:

Policy for mount.

### Tunables:

allow_mount_anyfile

##### Default value

false

##### Description

Allow the mount command to mount any directory or file.

Return

### Interfaces:

mount_domtrans( domain )

##### Summary

Execute mount in the mount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mount_domtrans_unconfined( domain )

##### Summary

Execute mount in the unconfined mount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mount_exec( domain )

##### Summary

Execute mount in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_getattr_runtime_files( domain )

##### Summary

Getattr on mount_var_run_t files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_read_loopback_files( domain )

##### Summary

Read loopback filesystem image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_run( domain , role )

##### Summary

Execute mount in the mount domain, and allow the specified role the mount domain, and use the caller's terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

mount_run_unconfined( domain , role )

##### Summary

Execute mount in the unconfined mount domain, and allow the specified role the unconfined mount domain, and use the caller's terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

mount_rw_loopback_files( domain )

##### Summary

Read and write loopback filesystem image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_rw_runtime_files( domain )

##### Summary

Read and write mount runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_signal( domain )

##### Summary

Send a generic signal to mount.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mount_use_fds( domain )

##### Summary

Use file descriptors for mount.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return